package ru.myitschool.work.domain.profile.repo

import ru.myitschool.work.domain.profile.entities.UserInfoEntity

interface UserInfoRepository {
    suspend fun getInfo(basicAuth: String) : Result<UserInfoEntity>

    suspend fun openByQr(basicAuth: String, content: String) : Result<Unit>
}